﻿using System.Web.Mvc;
using System.Text.RegularExpressions;

namespace AlternativeTable.Controllers
{
  public class AppBaseController : Controller
  {
    public bool IsMobileDevice()
    {
      bool ret = Request.Browser.IsMobileDevice;
      string userAgent = Request.UserAgent;

      if (!ret) {
        // Use regular expression
        Regex b = new Regex(@"(android|bb\d+|meego)
              .+mobile|avantgo|bada\/|blackberry|
              blazer|compal|elaine|fennec|hiptop|
              iemobile|ip(hone|od)|iris|kindle|lge
              |maemo|midp|mmp|mobile.+firefox|
              netfront|opera m(ob|in)i|palm(os)
              ?|phone|p(ixi|re)\/|plucker|
              pocket|psp|series(4|6)0|symbian|
              treo|up\.(browser|link)|vodafone|
              wap|windows ce|xda|xiino",
          RegexOptions.IgnoreCase |
          RegexOptions.Multiline);

        ret = b.IsMatch(userAgent);

        // Check user agent for certain words
        ret = !ret
                ? userAgent.ToLower().Contains("iphone")
                : true;
        ret = !ret
                ? userAgent.ToLower().Contains("android")
                : true;
        // etc.
      }

      return ret;
    }
  }
}